Package: org.grails.plugins

## [Java] Class ProfilingGrailsPluginManager

- org.grails.plugins.ProfilingGrailsPluginManager

- A GrailsPluginManager implementation that outputs profile data to a logger.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES`
    `class AbstractGrailsPluginManager` | `CONFIG_FILE, BEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfilingGrailsPluginManager (GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `ProfilingGrailsPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `doArtefactConfiguration()`
    `` | `void` | `doDynamicMethods()`
    `` | `void` | `doPostProcessing(org.springframework.context.ApplicationContext ctx)`
    `` | `void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)`
    `` | `void` | `loadPlugins()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `canRegisterPlugin, checkForChanges, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, evictPlugin, getPluginObservers, getUserPlugins, informObservers, loadPlugins, refreshPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setPluginFilter, sortPlugins`
    `class AbstractGrailsPluginManager` | `getAllPlugins, getFailedLoadPlugins, isInitialised, getFailedPlugin, doRuntimeConfiguration, doRuntimeConfiguration, doPostProcessing, getPluginResources, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, hasGrailsPlugin, doDynamicMethods, setApplication, registerProvidedArtefacts, doArtefactConfiguration, onStartup, isShutdown, setPluginFilter, setLoadCorePlugins, informOfClassChange, informOfClassChange, getPluginPath, getPluginPath, getPluginPathForInstance, getPluginForInstance, getPluginForClass, informPluginsOfConfigChange, informOfFileChange, getPluginPathForClass, getPluginViewsPathForInstance, getPluginViewsPathForClass, getTypeFilters, setApplicationContext, shutdown, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getUserPlugins, loadPlugins, checkForChanges, refreshPlugin, getPluginObservers, informObservers`

- - ### Constructor Detail

    - #### public ProfilingGrailsPluginManager(GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override public void doArtefactConfiguration()

    - #### @java.lang.Override public void doDynamicMethods()

    - #### @java.lang.Override public void doPostProcessing(org.springframework.context.ApplicationContext ctx)

    - #### @java.lang.Override public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

    - #### @java.lang.Override public void loadPlugins()